#include <iostream>

using namespace std;

string s;
char c;
long long n,res,r,l,a[200005];

int main()
{
    cin>>s>>n;
    res=1;
    a[1]=1;
    for(int i=0; i<s.length(); i++){
        if(s[i]>s[i+1])res++;
        a[i+2]=res;
    }
    for(int t=1; t<=n; t++){
        cin>>l>>r;
        cout<<a[r]-a[l]+1<<endl;
    }
    return 0;
}
